import requests
import json

from common import Common, Feishu


class KsKeyword:
    @classmethod
    def get_key_word(cls, keyword, task_mark, mark, channel_id, name, task):
        url = "http://8.217.190.241:8888/crawler/wei_xin/shi_pin_hao/keyword"
        list = []
        payload = json.dumps({
            "keyword": keyword,
            "sort": "不限",
            "cursor": ""
        })
        headers = {
            'Content-Type': 'application/json'
        }
        try:
            response = requests.request("POST", url, headers=headers, data=payload)
            response = response.json()
            code = response['code']
            if code != 0:
                Feishu.finish_bot(f"shi_pin_hao/keyword {response['msg']}",
                                  "https://open.feishu.cn/open-apis/bot/v2/hook/575ca6a1-84b4-4a2f-983b-1d178e7b16eb",
                                  "【视频号搜索接口使用提示】")
                Common.logger("sph-key-word").info(f"快手搜索词数据获取失败，{response['msg']}\n")
                return list
            data = response['data']['data']

        except Exception as exc:
            Common.logger("sph-key-word").info(f"视频号搜索词{keyword}获取失败{exc}\n")
            return list
